Sphinx

# reStructuredText

reStructuredText (reST) is the default plaintext markup language used by both Docutils and Sphinx. Docutils provides the basic reStructuredText syntax, while Sphinx extends this to support additional functionality.

The below guides go through the most important aspects of reStructuredText. For the authoritative reference, refer to the docutils documentation.

- reStructuredText Primer
  - Paragraphs
  - Inline markup
  - Lists and Quote-like blocks
  - Literal blocks
  - Doctest blocks
  - Tables
  - Hyperlinks
  - Sections
  - Field Lists
  - Roles
  - Explicit Markup
  - Directives
  - Images
  - Footnotes
  - Citations
  - Substitutions
  - Comments
  - HTML Metadata
  - Source encoding
  - Gotchas
- Roles
  - Cross-references
  - Inline code highlighting
  - Math
  - Other semantic markup
  - Substitutions
- Directives
  - Table of contents
  - Paragraph-level markup
  - Showing code examples
  - Glossary
  - Meta-information markup
  - Index-generating markup
  - Including content based on tags
  - Tables
  - Math
  - Grammar production displays
- Field Lists
  - File-wide metadata
  - Special metadata fields